---------------------------------------------------------------------------------
-- Add new columns to the FSX_USER and FSX_USER_ROLE shadow tables, and check constraints
---------------------------------------------------------------------------------
ALTER TABLE FSX_USER 
	ADD COLUMN FSX_OMR_PROCESSED CHAR(1) NOT NULL WITH DEFAULT '0' 
	ADD COLUMN FSX_RPTHIST_PROCESSED CHAR(1) NOT NULL WITH DEFAULT '0' ;

ALTER TABLE FSX_USER_ROLE
	ADD COLUMN FSX_OMR_PROCESSED CHAR(1) NOT NULL WITH DEFAULT '0' 
	ADD COLUMN FSX_RPTHIST_PROCESSED CHAR(1) NOT NULL WITH DEFAULT '0' ;

ALTER TABLE FSX_USER
     ADD CONSTRAINT CK_CHAR_ZERO_ONE1
    CHECK (FSX_OMR_PROCESSED IN ('0', '1')) ENFORCED ENABLE QUERY OPTIMIZATION;

ALTER TABLE FSX_USER
     ADD CONSTRAINT CK_CHAR_ZERO_ONE2
    CHECK (FSX_RPTHIST_PROCESSED IN ('0', '1')) ENFORCED ENABLE QUERY OPTIMIZATION;

ALTER TABLE FSX_USER_ROLE
     ADD CONSTRAINT CK_CHAR_ZERO_ONE1
    CHECK (FSX_RPTHIST_PROCESSED IN ('0', '1')) ENFORCED ENABLE QUERY OPTIMIZATION;

ALTER TABLE FSX_USER_ROLE
     ADD CONSTRAINT CK_CHAR_ZERO_ONE2
    CHECK (FSX_OMR_PROCESSED IN ('0', '1')) ENFORCED ENABLE QUERY OPTIMIZATION;
