
---------------------------------------------------------------------------------
-- OMRROLE contains the authroizations for the ETL Component that puts users in the OMR
-- and the RH database. It connects to the SOR for shadow table processing of FSX_USER and FSX_USER_ROLE
---------------------------------------------------------------------------------
CREATE ROLE OMRROLE;

---------------------------------------------------------------------------------
-- Database Authorizations/Privileges
-- LOAD and IMPLICIT_SCHEMA privileges are required to support Initial Loading 
-- and Demographic loads
---------------------------------------------------------------------------------
GRANT CONNECT ON DATABASE  TO ROLE OMRROLE ;   


---------------------------------------------------------------------------------
-- Delete Authorizations/Privileges
---------------------------------------------------------------------------------                                                              
GRANT DELETE ON TABLE FSX_USER TO ROLE OMRROLE ;                                                               
GRANT DELETE ON TABLE FSX_USER_ROLE TO ROLE OMRROLE ;

                                                           
---------------------------------------------------------------------------------
-- Select Authorizations/Privileges
---------------------------------------------------------------------------------                                                              
GRANT SELECT ON TABLE FSX_USER TO ROLE OMRROLE ;                                                               
GRANT SELECT ON TABLE FSX_USER_ROLE TO ROLE OMRROLE ;
GRANT SELECT ON TABLE FMX_JOB TO ROLE OMRROLE ;
GRANT SELECT ON TABLE FMX_JOB_RUN TO ROLE OMRROLE ;
GRANT SELECT ON TABLE FMX_JOB_RUN_MSG TO ROLE OMRROLE ;
GRANT SELECT ON TABLE FMX_JOB_RUN_STAT TO ROLE OMRROLE ;
  
---------------------------------------------------------------------------------
-- Update Authorizations/Privileges
---------------------------------------------------------------------------------                                                        
GRANT UPDATE ON TABLE FSX_USER TO ROLE OMRROLE ;                                                               
GRANT UPDATE ON TABLE FSX_USER_ROLE TO ROLE OMRROLE ;
GRANT UPDATE ON TABLE FMX_JOB_RUN TO ROLE OMRROLE ;
GRANT UPDATE ON TABLE FMX_JOB_RUN_MSG TO ROLE OMRROLE ;
GRANT UPDATE ON TABLE FMX_JOB_RUN_STAT TO ROLE OMRROLE ;

---------------------------------------------------------------------------------
-- GRANT on Procedure that was dropped/Created
---------------------------------------------------------------------------------
GRANT EXECUTE ON SPECIFIC PROCEDURE SET_XACT_FRAUD_FL2 TO ROLE APPROLE;
                                                       
  